<?php
declare(strict_types=1);

namespace Simplyin\Simplyin_W_Plugin\Controller\Ajax\Widget;

use Simplyin\Simplyin_W_Plugin\Controller\Ajax\Abstract_Response;

class Closest_Parcel_Lockers_Response extends Abstract_Response {

    protected array $parcels = [];

    public function set_points( array $list ): void {
        $this->parcels = $list;
    }

    protected function get_array(): array {
        return [
            'data' => [
                'parcels' => $this->parcels,
            ],
        ];
    }
}
